> For the complete documentation index, see [llms.txt](https://developers.alephee.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.alephee.com/v2/orders/get-methods/get-orders-list-from-a-shopping-cart/response.md).

# Type specifications

## OrdersPack

| Property         | Type                                                                               | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| ---------------- | ---------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Id               | integer                                                                            | <p>Shopping cart number associated with the order. Only if the order is part of a shopping cart purchase.</p><p> </p><p>Please refer to the above notes.</p><p> </p>                                                                                                                                                                                                                                                                                                                                                                                          |
| ~~SourcePackId~~ | ~~string~~                                                                         | The original shopping cart number associated with the order.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| IsComplete       | bool                                                                               | <p>When TRUE, the order is a shopping cart purchase and all items in the cart are present and available for download.</p><p> </p><p>When FALSE, the order is a shopping cart purchase and NOT all items in the cart are present and available for download. You need to wait a while for all the items in the cart to arrive from the marketplace of origin and try to download the order again.</p><p> </p><p>Please refer to the above notes.</p>                                                                                                           |
| Marketplace      | <p>{</p><p>Key (integer),</p><p>Value (string),</p><p>Channel (string)</p><p>}</p> | <p>ID of the marketplace in which the order originated.</p><p><br>See marketplaces ID section and the GET marketplaces endpoint for the coding reference.</p><p> </p><p>Channel property is available on the following scenarios:</p><p> </p><p>·       Mercado Libre: When the sale came from a “Mercado Shops” sale the string contains this name.</p><p> </p><p>All individual orders in the same shopping cart share the same marketplace information. This ORDERS PACK displays that information once and is not repeated for each individual order.</p> |
| SellerAccount    | [Type specifications](/v2/orders/get-methods/get-orders/response.md#seller)        | <p>The seller to whom the orders belong to.</p><p> </p><p>All individual orders in the same shopping cart share the same seller information. This ORDERS PACK displays that information once and is not repeated for each individual order.</p>                                                                                                                                                                                                                                                                                                               |
| Buyer            | [Type specifications](/v2/orders/get-methods/get-orders/response.md#buyer)         | <p>Buyer details.</p><p> </p><p>All individual orders in the same shopping cart share the same buyer information. This ORDERS PACK displays that information once and is not repeated for each individual order.</p>                                                                                                                                                                                                                                                                                                                                          |
| Payments         | [Type specifications](/v2/orders/get-methods/get-orders/response.md#payment)       | <p>List of payments.</p><p> </p><p>All individual orders in the same shopping cart share the same payments information. This ORDERS PACK displays that information once and is not repeated for each individual order.</p>                                                                                                                                                                                                                                                                                                                                    |
| Shipping         | [Type specifications](/v2/orders/get-methods/get-orders/response.md#shipping)      | <p>Shipping details.</p><p> </p><p>All individual orders in the same shopping cart share the same shipping information. This ORDERS PACK displays that information once and is not repeated for each individual order.</p>                                                                                                                                                                                                                                                                                                                                    |
| Total            | integer                                                                            | The quantity of individual orders belonging to the shopping cart.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| Orders           | [Type specifications](/v2/orders/get-methods/get-orders/response.md#order)         | <p>The collection of individual orders belonging to the shopping cart.</p><p> </p><p>Please note that the following properties from OrderType object are not visible:</p><p> </p><p>·       Marketplace</p><p>·       SellerAccount</p><p>·       Buyer</p><p>·       Payments</p><p>·       Shipping</p><p> </p><p>That happens because those properties are already present in this JSON, and it doesn't make sense to repeat them in each individual order.</p>                                                                                            |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.alephee.com/v2/orders/get-methods/get-orders-list-from-a-shopping-cart/response.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
